
/*
 * Commands
 */

#define COUNT		0	/* only the first packet */
#define AUFGABE		1	/* non-broadcast only    */
#define POLL		2	/* broadcast only        */
#define QUIT		3	/* broadcast only        */
#define MULT		4	/* master to slave	 */
#define RESULT		5	/* result is to be sent  */

/*
 * Statusmeldungen im Client
 */

#define BUSY		42
#define IDLE		24
#define DONE		33

/*
 * Datenstruktur
 */

typedef struct {
    int prozessor;
    int command;

    struct {
	int anfang;
	int ende;
    } aufgabe;

    struct {
	long length1;
	long length2;
	long first1;
	long first2;
    } multiply;

    struct {
	long length;
	long first;
    } ergebnis;
} comm;
